Page MenuHomePhabricator

Change prototype's resolution page for MVP testing
Closed, ResolvedPublic6 Story Points

Description

  • For the general layout + texts follow the mock:
  • Don't have a help dialogue
  • Adapt the switch button to be more like radio buttons (as shown in the mock)
  • Don't show any toolbar ever
  • In edit mode, align the monotype texts correctly
  • Hide the undo button
  • Allow the (un-)collapsing of unchanged text. Uncollapsing one unchanged texts uncollapses all unchanged texts and vice versa
  • Don't edit copy paragraphs
  • Use eclipse for grayed out text
  • Make it translatable + add the German translation provided by the UX team

(feel free to make seperate stories out of it)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2017, 1:23 PM
Lea_WMDE updated the task description. (Show Details)

I think this is the expected mock:

Since we haven't found a satisfactory solution for a proper 3-state button yet I would rather vote for unselected radio buttons as a default (as seen in the mock) instead of a mixture of radio and switch buttons. I suggest, I will do more research on that after the MVP is done.

WMDE-Fisch updated the task description. (Show Details)Jan 9 2018, 1:49 PM

For the general layout + texts follow the mock:
Adapt the switch button to be more like a switch button, not radio buttons (as shown in the mock)

The mock looks more like radio buttons again, so we should probably clarify that :-)

Allow the (un-)collapsing of unchanged text. Uncollapsing one unchanged texts uncollapses all unchanged texts and vice versa

Expanding and collapsing works currently on per-paragraph basis. This could be easily changed though.

For the general layout + texts follow the mock:
Adapt the switch button to be more like a switch button, not radio buttons (as shown in the mock)

The mock looks more like radio buttons again, so we should probably clarify that :-)

See Hanna's comment above yours :) I'm fine with going for radiobuttons for now

Allow the (un-)collapsing of unchanged text. Uncollapsing one unchanged texts uncollapses all unchanged texts and vice versa

Expanding and collapsing works currently on per-paragraph basis. This could be easily changed though.

That's fine for me, too. If @Hanna_Petruschat_WMDE doesn't object strongly I will adapt the requirements list

WMDE-Fisch updated the task description. (Show Details)Jan 9 2018, 3:26 PM
Lea_WMDE triaged this task as Normal priority.Jan 16 2018, 10:54 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJan 16 2018, 10:54 AM
Lea_WMDE set the point value for this task to 4.Jan 16 2018, 3:33 PM
Lea_WMDE updated the task description. (Show Details)Jan 16 2018, 3:37 PM
Lea_WMDE changed the point value for this task from 4 to 6.

Change 406028 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] [WIP] Adjust selection, reset and edit radio buttons

https://gerrit.wikimedia.org/r/406028

Change 406040 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] [WIP] Update msg text and add i18n

https://gerrit.wikimedia.org/r/406040

WMDE-Fisch updated the task description. (Show Details)Jan 24 2018, 2:38 PM

@Hanna_Petruschat_WMDE

I updated the code to implement the things mentioned above, for the message texts in German I have list of the current text sets here. Feel free to also adjust the English text if needed. :-)

"twoColConflict-goat-edit-button": "Edit text",
"twoColConflict-goat-reset-button": "Reset text",
"twoColConflict-goat-save-button": "Save changes and leave editing mode",
"twoColConflict-goat-abort-button": "Abort editing and discard changes",
"twoColConflict-goat-collapse-button": "Collapse text",
"twoColConflict-goat-expand-button": "Expand text",
"twoColConflict-goat-choose-version": "Please choose a version",
"twoColConflict-goat-your-version": "Your version",
"twoColConflict-goat-other-version": "Other version",
"twoColConflict-goat-show-error-hint": "There are paragraphs you didn't choose a version for. Please select one for each paragraph.",
"twoColConflict-goat-show-unselected": "Show me unselected paragraphs -->",
"twoColConflict-goat-saved-at": "saved $1, $2.",
"twoColConflict-goat-other-header": "Conflicting version from",
"twoColConflict-goat-other-header2": "which is live now."

"twoColConflict-goat-edit-button": "Edit text"
de: "Text bearbeiten"
"twoColConflict-goat-reset-button": "Reset text"
de: "Text zurücksetzen"
"twoColConflict-goat-save-button": "Save changes and leave editing mode"
de: "Änderungen speichern und Bearbeitungsseite verlassen"
"twoColConflict-goat-abort-button": "Abort editing and discard changes"
en: "Cancel editing and discard changes"
de: "Bearbeitung abbrechen und Änderungen verwerfen"
"twoColConflict-goat-collapse-button": "Collapse text"
de: "weniger Text zeigen"
"twoColConflict-goat-expand-button": "Expand text"
de: "mehr Text zeigen"
"twoColConflict-goat-choose-version": "Please choose a version"
de: "Bitte wähle eine Version"
"twoColConflict-goat-your-version": "Your version"
de: "Deine Version"
"twoColConflict-goat-other-version": "Other version"
de: "Andere Version"
"twoColConflict-goat-show-error-hint": "There are paragraphs you didn't choose a version for. Please select one for each paragraph."
en: "You did not choose a version for at least one paragraph. Please select one version for each paragraph."
de: "Bei wenigstens einem Absatz wurde keine Version ausgewählt. Bitte wähle eine Version für jeden Absatz."
"twoColConflict-goat-show-unselected": "Show me unselected paragraphs -->"
de: "Zeige mir nicht ausgewählte Absätze -->" this feature is not involved in the MVP
"twoColConflict-goat-saved-at": "saved $1, $2."
de: "gespeichert am $1, um $2."
"twoColConflict-goat-other-header": "Conflicting version from"
de: "Kollidierende Version von" / merged in de: "Aktuell gespeicherte und kollidierende Version von"
"twoColConflict-goat-other-header2": "which is live now."
If possible I would merge that in German with the header above

If possible I would merge that in German with the header above

Done, it is merged now in English as well and the link is passed as a parameter to $1

... and thanks :-)

Ahhh and:

de: "Zeige mir nicht ausgewählte Absätze -->" this feature is not involved in the MVP

We will remove this. Currently its part of @Andrew-WMDE 's patch.

WMDE-Fisch updated the task description. (Show Details)Jan 24 2018, 4:46 PM

At least this is what I remember we decided in T183362:

The first version does not include the scroll-to-message.

Lea_WMDE closed this task as Resolved.Feb 7 2018, 11:10 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 20 2018, 4:49 PM

Change 406028 abandoned by WMDE-Fisch:
[WIP] Adjust selection, reset and edit radio buttons

Reason:
Squashed in
I267de58c2a3f965b8eebfb545e6b417601527191

https://gerrit.wikimedia.org/r/406028

Change 406040 abandoned by WMDE-Fisch:
[WIP] Update msg text and add i18n

Reason:
Squashed in
I267de58c2a3f965b8eebfb545e6b417601527191

https://gerrit.wikimedia.org/r/406040